import request from '@/utils/request'

// 查询金蝶物料管理列表
export function listMaterials(query) {
  return request({
    url: '/system/newMaterials/list',
    method: 'get',
    params: query
  })
}

// 查询金蝶物料管理详细
export function getMaterials(id) {
  return request({
    url: '/system/newMaterials/' + id,
    method: 'get'
  })
}

// 新增金蝶物料管理
export function addMaterials(data) {
  return request({
    url: '/system/newMaterials',
    method: 'post',
    data: data
  })
}

// 修改金蝶物料管理
export function updateMaterials(data) {
  return request({
    url: '/system/newMaterials',
    method: 'put',
    data: data
  })
}

// 删除金蝶物料管理
export function delMaterials(id) {
  return request({
    url: '/system/newMaterials/' + id,
    method: 'delete'
  })
}
